#Chapter10: Correlation and Regression examples
#install.packages("haven")                  #whavenM
#install.packages("psych")                  #wpsychM
library(haven)                              #havenM
library(psych)                              #psychM
ch10a <- read_sav("ch10a.sav")              #ŪSPSSch10a.sav
ch10b <- read.csv("ch10b.csv", header=TRUE) #Ūcsv榡ch10a.csv
 
#compute the correlation coefficients
ch10a.cor<-cor(ch10a)                       #pC@ܼƪY
ch10a.cor<-cor(ch10a[,-c(1)])               #pⰣFIDܼƥH~Y
lowerMat(ch10a.cor)                         #CXUTYƯx}
ch10a.cov<-cov(ch10a)                       #pC@ܼƪ@ܼ
lowerMat(ch10a.cov)                         #CXUTܲƦ@ܼƯx}

cor.test(ch10a$X1,ch10a$Y, method="pearson")
cor.test(~ X1+Y, data = ch10a, method="pearson")

partial.r(ch10a, c("X1","Y"),c("D2"), use="pairwise", method="pearson")

