#Chapter11: Multiple Regression examples ex11.7
library(foreign)                                      #ŪSPSS
ex11.7 <- read.spss("ex11.5.sav", to.data.frame=TRUE) #ŪSPSS
str(ex11.7)
model1 <- lm(life ~ marr,              data=ex11.7) 
model2 <- lm(life ~ marr+ses,          data=ex11.7) 
model3 <- lm(life ~ marr+ses+marr:ses, data=ex11.7) 
#model2 <- update(model1, .~. + ses, data=ex11.7) 
#model3 <- update(model1, .~. + marr*ses, data=ex11.7) 
summary(model1)
summary(model2)
summary(model3)
anova(model1,model2)
anova(model2,model3)

#Using SPSS format of dummy regression
model4 <- lm(life ~ D2+D3+D4, data=ex11.7) 
model5 <- update(model4, .~. + ses, data=ex11.7) 
model6 <- update(model5, .~. + D2ses + D3ses + D4ses, data=ex11.7) 
anova(model4,model5)
anova(model5,model6)