#Chapter 05: Descriptive statistics example
#wˤuҲզpG|w˽ХHUw˵{(#)
#install.packages("psych")
#install.packages("pastecs")
#install.packages("lattice")
#install.packages("aplpack")

#Ū
library(foreign)
ch05spss<-read.spss("ch05.sav", to.data.frame=TRUE) #ŪSPSS
ch05csv <-read.csv("ch05.csv", header=TRUE) #Ūcsv

#Descriptive statistics
library(psych)                                       #Using library psych
describe(ch05spss)
library(pastecs)                                     #Using library pastecs
round(stat.desc(ch05spss[,-2]),2)

#Create histogram
hist(ch05spss[,7],breaks=10,ylab='number of person') #Using basic function
library(lattice)                                     #Using library lattice
histogram(~final|gender,ch05spss,breaks=10,type=c('percent'))
histogram(~final|gender,ch05spss,breaks=10,type=c('count'))

#Create stem-leaf plot
stem(ch05csv[,7], scale=2)                          #Using basic function
library(aplpack)                                     #Using library aplpack 
stem.leaf(ch05spss[,7],2)

#Create boxplot
boxplot(ch05spss[,3:7])                              #Using basic function
