#Chapter6: contingency table analysis examples
library(foreign)
#Example ex6.1
library(foreign)
ex6.1   <-read.spss("ex6.1.sav", to.data.frame=TRUE) #ŪSPSS
ex6.1csv<-read.csv("ex6.1.csv" )                     #Ūcsv
Tex6.1<-table(ex6.1$Answer)     #إߦCpcreate contingency table
Tex6.1
Mex6.1<-chisq.test(Tex6.1, p=c(.2,.2,.2,.2,.2)) #d˩wChi-squared Test
Mex6.1
fo    <-Mex6.1$observed             #[observed counts
fe    <-Mex6.1$expected             #榸expected counts
std.d <-round(Mex6.1$residuals,4)   #зǤƴݮtPearson residuals
Rex6.1<-data.frame(fo, fe, std.d) #NGz
Rex6.1

#Example ex6.2
library(foreign)
ex6.2 <-read.spss("ex6.2a.sav", to.data.frame=TRUE)  #ŪSPSS
Tex6.2<-table(ex6.2$gender, ex6.2$location)  #create contingency table
Tex6.2
Mex6.2a<- chisq.test(Tex6.2, correct = TRUE) #Yates' correction
Mex6.2b<- chisq.test(Tex6.2, correct = FALSE)#no Yates' correction
Mex6.2a
Mex6.2b

#install.packages("DescTools")
library(DescTools)
Phi <- Phi(Tex6.2, conf.level=0.95)
C   <- ContCoef(Tex6.2, conf.level=0.95)
V   <- CramerV(Tex6.2, conf.level=0.95)
TauB  <-KendallTauB(Tex6.2, conf.level=0.95)
TauA_C<-GoodmanKruskalTau(Tex6.2, direction="column", conf.level=0.95)
TauA_R<-GoodmanKruskalTau(Tex6.2, direction="row", conf.level=0.95)
La_S<-Lambda(Tex6.2, direction="symmetric", conf.level=0.95)
La_R<-Lambda(Tex6.2, direction="row", conf.level=0.95)
La_C<-Lambda(Tex6.2, direction="column", conf.level=0.95)

#NGzèpI3
Rex6.2 <-round(data.frame(Phi, C, V, TauB, TauA_C, TauA_R, La_S, La_R, La_C),3)
Rex6.2


#Example ex6.3
ex6.3   <-read.spss("ex6.3.sav", to.data.frame=TRUE)  #ŪSPSS
ex6.3csv<-read.csv("ex6.3.csv", header=TRUE)          #Ūcsv
Tex6.3a <- table(ex6.3$gender, ex6.3$type)  #create contingency table
Tex6.3a
Tex6.3b <- table(ex6.3$ses, ex6.3$type)     #create contingency table
Tex6.3b
chisq.test(Tex6.3a)  #Chi-squared Test of Independence
chisq.test(Tex6.3b)  #Chi-squared Test of Independence

#iɮפ
ex6.3b_g  <- split(ex6.3, f=ex6.3$gender)      #HʧO
ex6.3a_s  <- split(ex6.3, f=ex6.3$ses)         #Hses
#HʧOiժd˩w
Tex6.3b_g_m <- table(ex6.3b_g$'k'$ses, ex6.3b_g$'k'$type)     
Tex6.3b_g_f <- table(ex6.3b_g$'k'$ses, ex6.3b_g$'k'$type)  
chisq.test(Tex6.3b_g_m)
chisq.test(Tex6.3b_g_f)
#HSESiժd˩w
Tex6.3a_s_h <- table(ex6.3a_s$'g'$gender, ex6.3a_s$'g'$type)     
Tex6.3a_s_l <- table(ex6.3a_s$'Cg'$gender, ex6.3a_s$'Cg'$type)  
chisq.test(Tex6.3a_s_h)
chisq.test(Tex6.3a_s_l)

library(DescTools)
Phi <- Phi(Tex6.3a, conf.level=0.95)
C   <- ContCoef(Tex6.3a, conf.level=0.95)
V   <- CramerV(Tex6.3a, conf.level=0.95)
TauB    <-KendallTauB(Tex6.3a,                          conf.level=0.95)
TauA_C  <-GoodmanKruskalTau(Tex6.3a, direction="column",conf.level=0.95)
TauA_R  <-GoodmanKruskalTau(Tex6.3a, direction="row",   conf.level=0.95)
Lambda_S<-Lambda(Tex6.3a, direction="symmetric",         conf.level=0.95)
Lambda_R<-Lambda(Tex6.3a, direction="row",              conf.level=0.95)
Lambda_C<-Lambda(Tex6.3a, direction="column",           conf.level=0.95)
#NGzèpI3
Rex6.3a <-round(data.frame(Phi, C, V, TauB, TauA_C, TauA_R, La_S, La_R, La_C),3)
Rex6.3a 