#Chapter 08: ANOVA examples
#Ū  
ch08ex1 <-read.csv("ex8.1.csv", header=TRUE)
ch08ex2 <-read.csv("ex8.2.csv", header=TRUE)
ch08ex3 <-read.csv("ex8.3.csv", header=TRUE)

library(car)
ch08ex1$marry<-recode(ch08ex1$marry,"1='`';2='';3='wB';4='B'")
list(ch08ex1)
  
#oneway ANOVA independent sample design
ANOVA8.1 <- aov(life~factor(marry),data=ch08ex1)
model.tables(ANOVA8.1,type="means")
summary(ANOVA8.1)
TukeyHSD(ANOVA8.1)

#Post-hoc comparisons using library asbio
library(asbio)
pairw.anova(ch08ex1$life,factor(ch08ex1$marry),method="lsd",conf.level=.95)
pairw.anova(ch08ex1$life,factor(ch08ex1$marry),method="tukey")
pairw.anova(ch08ex1$life,factor(ch08ex1$marry),method="scheffe")
pairw.anova(ch08ex1$life,factor(ch08ex1$marry),method="bonf",conf=.99)
pairw.anova(ch08ex1$life,factor(ch08ex1$marry),method="dunnett", control ="B")
plot(pairw.anova(ch08ex1$life,factor(ch08ex1$marry),method="lsd",conf=.95))





