#Chapter8.1: ANOVA independent sample example
#wˤuҲզpG|w˽ХHUw˵{(#)
#install.packages("car")
#install.packages("asbio") 

ch8ex1 <-read.csv("ex8.1.csv", header=TRUE) #Ū

library(car)    #QcarMNOܼƪƭনr
ch8ex1$marry<-recode(ch8ex1$marry,"1='`';2='';3='wB';4='B'")

#oneway ANOVA independent sample design
ANOVA8.1 <- aov(life~factor(marry),data=ch8ex1)
model.tables(ANOVA8.1,type="means")
summary(ANOVA8.1)
TukeyHSD(ANOVA8.1)

library(car)
leveneTest(life~factor(marry),data=ch8ex1, center='mean')

#Post-hoc comparisons using library asbio
library(asbio)
pairw.anova(ch8ex1$life,factor(ch8ex1$marry),method="lsd",conf.level=.95)
pairw.anova(ch8ex1$life,factor(ch8ex1$marry),method="tukey")
pairw.anova(ch8ex1$life,factor(ch8ex1$marry),method="scheffe")
pairw.anova(ch8ex1$life,factor(ch8ex1$marry),method="bonf",conf=.99)
pairw.anova(ch8ex1$life,factor(ch8ex1$marry),method="dunnett",control="B")
plot(pairw.anova(ch8ex1$life,factor(ch8ex1$marry),method="lsd",conf=.95))