#Chapter8.2: ANOVA dependent sample example
#wˤuҲզpG|w˽ХHUw˵{(#)
#install.packages("asbio")
 
ch8ex2 <-read.csv("ex8.2b.csv", header=TRUE) #Ū

#oneway ANOVA dependent sample design
ANOVA8.2 <- aov(score~factor(S)+factor(T),data=ch8ex2)
model.tables(ANOVA8.2,type="means")
summary(ANOVA8.2)

#Post-hoc comparisons using library asbio
library(asbio)
pairw.anova(ch8ex2$score,factor(ch8ex2$T),method="lsd")
pairw.anova(ch8ex2$score,factor(ch8ex2$T),method="tukey")
pairw.anova(ch8ex2$score,factor(ch8ex2$T),method="scheffe")
plot(pairw.anova(ch8ex2$score,factor(ch8ex2$T),method="lsd"))
plot(pairw.anova(ch8ex2$score,factor(ch8ex2$T),method="scheffe"))