#Chapter12: Moderation effect R example ex12.6
install.packages("car")     #wˮM
install.packages("ggplot2") #wˮM
install.packages("pequod")  #wˮM
#Ū 
library(foreign)
ex12.1 <- read.spss("ex12.1.sav", to.data.frame=TRUE) #ŪSPSS

library(pequod) #JpequodMi椬@ΰjk

#test for moderation effect educ*salbegin
m1 <- lmres(salary ~ educ*salbegin , centered=c("educ", "salbegin"), data=ex12.1)
summary(m1, type="nested")

#test for simple effect and plot
Sim_slopes_m1 <- simpleSlope(m1,pred="salbegin",mod1="educ")
summary(Sim_slopes_m1)
PlotSlope(Sim_slopes_m1)

#test for moderation effect educ*gender
ex12.1$gender2 <- as.numeric(ex12.1$gender=='k')     #NʧOwqƭ{0,1}ܼ 
m2 <- lmres(salary ~ educ*gender2, centered=c("educ"), data=ex12.1)
summary(m2, type="nested")

#test for simple effect and plot
Sim_slopes_m2 <- simpleSlope(m2,pred="educ",mod1="gender2", coded="gender2")
summary(Sim_slopes_m2)
PlotSlope(Sim_slopes_m2)
