#Chapter14: Item analysis and reliability analysis
#Ū 
library(foreign)
ex14.1 <- read.spss("ex14.sav", to.data.frame=TRUE) #ŪSPSS

#ؤR
missing1 <- apply(apply(ex14.1[,4:53], 2, is.na), 2, sum)     #p|
missing2 <- apply(apply(ex14.1[,4:53], 2, is.na), 2, sum)/223 #p|v

library(psych)                  #wˮMinstall.packages("psych")
des <- describe(ex14.1[,4:53])  #yzέp

library(psychometric)           #wˮMinstall.packages("psychometric")
rtot <- item.exam(ex14.1[,4:53],discrim = TRUE)  #pDػP`

#i淥ݲդ
ex14.1$tot=apply(ex14.1[,4:53], 1, mean)   #p`
ex14.1$grp=NA                              #]wܼƪlȬNA
ex14.1$grp[ex14.1$tot < 2.424]="L"         #]wC
ex14.1$grp[ex14.1$tot > 2.98]= "H"         #]w
library(car)
ttest<-sapply(ex14.1[,4:53], 
       function(x) t.test(x~ex14.1$grp)$statistic)   #NҦDجҶit-test

#s@Xʳ
result <- as.data.frame(t(rbind(missing1, missing2, des$mean, des$sd, des$skew, 
                                des$kurtosis, ttest, rtot$Item.Tot.woi)))
names(result) <- c('|', '|v', '', 'зǮt', 'A', 'p',
                   'ݲդR','D`')
round(result, 3)

#HפR
alpha(ex14.1[,4:53])
