#Chapter 15: Exploratory Factor Analysis using raw data
install.packages("psych")
install.packages("GPArotation")
library(psych) 
ch15.rawdata<-read.csv("ch15.csv", header=TRUE)
ch15.cov<-cov(ch15.rawdata)
ch15.cor<-cov2cor(ch15.cov)
fa.parallel(ch15.cor,n.obs=1704,fa="both",n.iter=100,
            main="Scree plots with parallel analysis")
fa.varimax<-fa(ch15.cor,nfactors=2,rotate="varimax",fm="pa")
fa.oblimin<-fa(ch15.cor,nfactors=2,rotate="oblimin",fm="pa")
fa.promax<-fa(ch15.cor,nfactors=2,rotate="promax",fm="pa")
fa.diagram(fa.oblimin,simple=TRUE)
fa.oblimin

